package cn.im.trafficplan.service;

 import cn.im.trafficplan.dao.TrafficplanrelateroadDao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;

@Service("trafficplanrelateroadService")
public class TrafficplanrelateroadService extends BaseService {
	
	private static Log log = LogFactory.getLog(TrafficplanrelateroadService.class);
	
	@Autowired
	private TrafficplanrelateroadDao trafficplanrelateroadDao;
	
	/**
	 * 保存记录
	 */
	/*
	
	public void insert_Trafficplanrelateroad(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		trafficplanrelateroadDao.insert_Trafficplanrelateroad(map);
	}
	
	*/

	
	/**
	 * 修改记录
	 */
	/*
	
	public Integer update_Trafficplanrelateroad(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return trafficplanrelateroadDao.update_Trafficplanrelateroad(map);
	}
	
	*/
	
	/**
	 * 删除记录
	 */
	 
	/*
	
	public Integer delete_Trafficplanrelateroad(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return trafficplanrelateroadDao.delete_Trafficplanrelateroad(map);
	}
	
	*/
	
	/**
	 * 批处理删除记录
	 */
	 
	/*
	
	public Integer batch_delete_Trafficplanrelateroad(Map map) throws SQLException{
		return trafficplanrelateroadDao.batch_delete_Trafficplanrelateroad(map);
	}
	
	*/
	
	/**
	 * 查询总数
	 */
	 
	/*
	
	public Integer count_Trafficplanrelateroad(Map map) throws SQLException{
		return trafficplanrelateroadDao.count_Trafficplanrelateroad(map);
	}
	
	*/
	
	/**
	 * 查询列表记录SELECT
	 */
	/*
	
	public List<Map> query_Trafficplanrelateroad(Map map) throws SQLException{
		return trafficplanrelateroadDao.query_Trafficplanrelateroad(map);
	}
	
	*/
	
	/**
	 * 查询一条
	 */
	 
	/*
	
	public Map get_Trafficplanrelateroad(Map map) throws SQLException{
		return trafficplanrelateroadDao.get_Trafficplanrelateroad(map);
	}
	
	*/
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	
	public Map exportTrafficplanrelateroad(Map map) throws SQLException{
		return this.listTrafficplanrelateroadByPage(map);
	}
	
	*/
	
	/**
	 * Trafficplanrelateroad 分页
	 */
	 
	/*
	
	public Map listTrafficplanrelateroadByPage(Map map) throws SQLException {
		List<Map> list = trafficplanrelateroadDao.query_Trafficplanrelateroad(map);
		Integer totalCount = trafficplanrelateroadDao.count_Trafficplanrelateroad(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	
	*/
}
